/**********************************************************************/
/* @(#)83       1.5.1.2  src/knt/knt_upg.sql, knt, omnt_62fp1, 200806051512 5/15/08 07:41:27                                      */
/*                                                                    */
/* COMPONENT_NAME: knt                                                */
/*                                                                    */
/* FUNCTIONS:                                                         */
/*                                                                    */
/* Date: 5/15/08 07:41:27                                                      */
/*                                                                    */
/* Source: src/knt/knt_upg.sql, knt, omnt_62fp1, 200806051512                                                        */
/*                                                                    */
/* Revision: 1.5.1.2                                                      */
/*                                                                    */
/* ORIGINS:                                                           */
/*                                                                    */
/* $Id:                                                               */
/*                                                                    */
/**********************************************************************/
/* Licensed Materials - Property of IBM                               */
/* 5724-C04                                                           */
/*                                                                    */
/* Copyright IBM Corp. 2005 All Rights Reserved                       */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp                                                           */
/**********************************************************************/


/*    Deleted (renamed) SITUATIONS                                    */

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Processor_Interrupts_Crit
ical";

/*    ATTENTION: ONLY PLACE CHANGED OR NEW SITUATIONS IN THIS FILE    */

UPDATE O4SRV.CCT
   SET CMD = 'net start "&NT_Services.Service_Name"',
       DESC = "Knt:KNT3904"
   WHERE KEY = "NTSTARTSERVICE";

UPDATE O4SRV.CCT
   SET CMD = 'net stop "&NT_Services.Service_Name"',
       DESC = "Knt:KNT3905"
   WHERE KEY = "NTSTOPSERVICE";

INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("NT_Disk_Full",
   "NT11",
   "*AUTOSLT CONT=N",
   "",
   "*YES",
   "",
   "c:\pkzip -d c:\temp\tempback.zip",
   "",
   "1070410144024000",
   "",
   "",
   "NT877 *CHOICE",
   "",
   "System_Command"
  );

UPDATE O4SRV.TACTYPCY
   SET ACTINFO = "*AUTOSLT CONT=N",
       PREDSPECS = "NT646 *CHOICE"
   WHERE PCYNAME = "NT_Disk_Full"
      AND ACTNAME = "NT291";

UPDATE O4SRV.TACTYPCY
   SET ACTINFO = "*AUTOSLT CONT=N",
       PREDSPECS = "NT877 *CHOICE"
   WHERE PCYNAME = "NT_Disk_Full"
      AND ACTNAME = "NT714";

INSERT INTO O4SRV.TACTYPCY
  (PCYNAME,
   ACTNAME,
   ACTINFO,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL,
   NOCOL1,
   PREDSPECS,
   SOURCE,
   TYPESTR  )
VALUES
  ("NT_Disk_Full",
   "NT9",
   "*AUTOSLT CONT=N",
   "",
   "*YES",
   "",
   "erase c:\temp",
   "",
   "1070410144024000",
   "",
   "",
   "NT646 *CHOICE",
   "",
   "System_Command"
  );

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Available_Bytes_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Available_Bytes_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Disk_Space_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Logical_Disk_Space_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Logical_Disk_Space_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Number_Processes_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Number_Processes_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Paging_File_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Paging_File_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Physical_Disk_Busy_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Physical_Disk_Busy_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Process_CPU_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Process_CPU_Warning";

INSERT INTO O4SRV.TOBJACCL (
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NODEL,
   OBJCLASS)
VALUES (
   "NT_Processor_Interrupt_Critical",
   "Y",
   "0961009010101000",
   "",
   "IBM",
   "*NT_SYSTEM",
   "5140");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Processor_Interrupt_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Processor_Interrupts_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_CPU_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_CPU_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_File_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_File_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Log_Space_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Invalid_Logon_Attempt";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Service_Error";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Bottleneck_Disk";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Bottleneck_Memory";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Bottleneck_Paging";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Bottleneck_Processor";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Context_Switches_Sec";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Context_Switches_Sec_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Memory_Pages_Sec";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Memory_Pages_Sec_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Disk_Time";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Disk_Time_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Processor_Time";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Processor_Time_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Total_Proc_Time";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Percent_Total_Proc_Time_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_Proc_Q_Length";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_Proc_Q_Length_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_Total_Interrupts";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_System_Total_Interrupts_Low";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Services_Automatic_Start";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Missing_Msdtc_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Missing_Process";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Process_Memory_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*NT_SYSTEM"
      AND OBJCLASS = "5140"
      AND OBJNAME = "NT_Process_Memory_Warning";

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Knt:KNT1365"
   WHERE PCYNAME = "NT_Disk_Busy";

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Knt:KNT1366"
   WHERE PCYNAME = "NT_Disk_Full";

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Knt:KNT1367"
   WHERE PCYNAME = "NT_Log_Management";

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Knt:KNT1368"
   WHERE PCYNAME = "NT_Process_CPU";

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Knt:KNT1369"
   WHERE PCYNAME = "NT_Process_Memory";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1320"
   WHERE SITNAME = "NT_Available_Bytes_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1321"
   WHERE SITNAME = "NT_Available_Bytes_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1322"
   WHERE SITNAME = "NT_Bottleneck_Disk";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1323"
   WHERE SITNAME = "NT_Bottleneck_Memory";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1324"
   WHERE SITNAME = "NT_Bottleneck_Paging";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1325"
   WHERE SITNAME = "NT_Bottleneck_Processor";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1326"
   WHERE SITNAME = "NT_Context_Switches_Sec";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1327"
   WHERE SITNAME = "NT_Context_Switches_Sec_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=WTLOGCLDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Logical_Disk.Free_Megabytes *LT 5                     
   *AND *VALUE NT_Logical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1328"
   WHERE SITNAME = "NT_Disk_Space_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=NTEVTLOG.USERID",
       TEXT = "Knt:KNT1329"
   WHERE SITNAME = "NT_Invalid_Logon_Attempt";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=NTLOGINFO.LOGNAME",
       TEXT = "Knt:KNT1330"
   WHERE SITNAME = "NT_Log_Space_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=WTLOGCLDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Logical_Disk.%_Free *LT 5                             
   *AND *VALUE NT_Logical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1331"
   WHERE SITNAME = "NT_Logical_Disk_Space_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=WTLOGCLDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Logical_Disk.%_Free *LT 10                            
   *AND *VALUE NT_Logical_Disk.%_Free *GE 5                             
   *AND *VALUE NT_Logical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1332"
   WHERE SITNAME = "NT_Logical_Disk_Space_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1333"
   WHERE SITNAME = "NT_Memory_Pages_Sec";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1334"
   WHERE SITNAME = "NT_Memory_Pages_Sec_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1335"
   WHERE SITNAME = "NT_Missing_Msdtc_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1336"
   WHERE SITNAME = "NT_Missing_Process";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1337"
   WHERE SITNAME = "NT_Number_Processes_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1338"
   WHERE SITNAME = "NT_Number_Processes_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=NTPAGEFILE.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Paging_File.%_Usage *GE 80                            
    *AND *VALUE NT_Paging_File.Pagefile_Name_U *NE _Total",
       TEXT = "Knt:KNT1339"
   WHERE SITNAME = "NT_Paging_File_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=NTPAGEFILE.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Paging_File.%_Usage *GE 75                            
   *AND *VALUE NT_Paging_File.%_Usage *LT 80                            
   *AND *VALUE NT_Paging_File.Pagefile_Name_U *NE _Total",
       TEXT = "Knt:KNT1340"
   WHERE SITNAME = "NT_Paging_File_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=WTPHYSDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Physical_Disk.%_Disk_Time *GE 65                      
   *AND *VALUE NT_Physical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1341"
   WHERE SITNAME = "NT_Percent_Disk_Time";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=WTPHYSDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Physical_Disk.%_Disk_Time *LE 15                      
   *AND *VALUE NT_Physical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1342"
   WHERE SITNAME = "NT_Percent_Disk_Time_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=NTPROCSSR.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Processor.%_Processor_Time *GE 70                     
   *AND *VALUE NT_Processor.Processor *NE _Total",
       TEXT = "Knt:KNT1343"
   WHERE SITNAME = "NT_Percent_Processor_Time";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=NTPROCSSR.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Processor.%_Processor_Time *LE 10                     
   *AND *VALUE NT_Processor.Processor *NE _Total",
       TEXT = "Knt:KNT1344"
   WHERE SITNAME = "NT_Percent_Processor_Time_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1345"
   WHERE SITNAME = "NT_Percent_Total_Proc_Time";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1346"
   WHERE SITNAME = "NT_Percent_Total_Proc_Time_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=WTPHYSDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Physical_Disk.%_Disk_Time *GT 90                      
   *AND  *VALUE NT_Physical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1347"
   WHERE SITNAME = "NT_Physical_Disk_Busy_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=WTPHYSDSK.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Physical_Disk.%_Disk_Time *GT 80                      
   *AND *VALUE NT_Physical_Disk.%_Disk_Time *LE 90                      
   *AND  *VALUE NT_Physical_Disk.Disk_Name *NE _Total",
       TEXT = "Knt:KNT1348"
   WHERE SITNAME = "NT_Physical_Disk_Busy_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=WTPROCESS.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Process.%_Processor_Time *GE 65                       
    *AND *VALUE NT_Process.Priority_Base *NE 0                          
    *AND *VALUE NT_Process.Process_Name *NE _Total",
       TEXT = "Knt:KNT1349"
   WHERE SITNAME = "NT_Process_CPU_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=WTPROCESS.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Process.%_Processor_Time *GE 50                       
   *AND *VALUE NT_Process.%_Processor_Time *LT 65                       
   *AND *VALUE NT_Process.Priority_Base *NE 0                           
   *AND *VALUE NT_Process.Process_Name *NE _Total",
       TEXT = "Knt:KNT1350"
   WHERE SITNAME = "NT_Process_CPU_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       PDT = 
   "*IF *VALUE NT_Process.Process_Name *NE _Total                       
   *AND *VALUE NT_Process.Working_Set *GT 40000000",
       TEXT = "Knt:KNT1351"
   WHERE SITNAME = "NT_Process_Memory_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       PDT = 
   "*IF *VALUE NT_Process.Process_Name *NE _Total                       
   *AND *VALUE NT_Process.Working_Set *GE 32000000                      
   *AND *VALUE NT_Process.Working_Set *LT 40000000",
       TEXT = "Knt:KNT1352"
   WHERE SITNAME = "NT_Process_Memory_Warning";

INSERT INTO O4SRV.TSITDESC (
   SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT)
VALUES (
   "NT_Processor_Interrupt_Critical",
   'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
   "0008000000000000000000000000000000000000000",
   "*NO",
   "NNN",
   "*NO",
   "*NONE",
   "",
   "",
   "0961009010101000",
   "",
   "IBM",
   "",
   "*IF *VALUE NT_Processor.Interrupts/sec *GE 3000 
   *AND *VALUE NT_Processor.Processor *NE _Total",
   "E",
   "0",
   "001500",
   "*NONE",
   "SEV=Critical;ATOM=NTPROCSSR.INSTCNAME",
   "Knt:KNT1353");

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=NTPROCSSR.INSTCNAME",
       TEXT = "Knt:KNT1353"
   WHERE SITNAME = "NT_Processor_Interrupt_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=NTPROCSSR.INSTCNAME",
       PDT = 
   "*IF *VALUE NT_Processor.Interrupts/sec *GE 2000                     
   *AND *VALUE NT_Processor.Interrupts/sec *LT 3000                     
   *AND *VALUE NT_Processor.Processor *NE _Total",
       TEXT = "Knt:KNT1354"
   WHERE SITNAME = "NT_Processor_Interrupts_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       AFFINITIES = "0008000000000000000000000000000000000000000",
       TEXT = "Knt:KNT1355"
   WHERE SITNAME = "NT_Service_Error";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       CMD = 'net start "&NT_Services.Service_Name"',
       TEXT = "Knt:KNT1356"
   WHERE SITNAME = "NT_Services_Automatic_Start";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1357"
   WHERE SITNAME = "NT_System_CPU_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1358"
   WHERE SITNAME = "NT_System_CPU_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1359"
   WHERE SITNAME = "NT_System_File_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1360"
   WHERE SITNAME = "NT_System_File_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1361"
   WHERE SITNAME = "NT_System_Proc_Q_Length";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1362"
   WHERE SITNAME = "NT_System_Proc_Q_Length_Low";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Knt:KNT1363"
   WHERE SITNAME = "NT_System_Total_Interrupts";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Knt:KNT1364"
   WHERE SITNAME = "NT_System_Total_Interrupts_Low";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0008000000000000000000000000000000000000000",
   "*NO",
   "*YES",
   "",
   "",
   "0970324010101000",
   "",
   "IBM",
   "",
   "*IF *VALUE NT_Event_Log.Event_ID *EQ 529 *OR *VALUE NT_Event_Log.Eve
nt_ID *EQ 4625",
   "E",
   "0",
   "001500",
   "*NONE",
   "NT_Invalid_Logon_Attempt",
   "Knt:KNT1329",
   "NNN",
   "SEV=Warning;ATOM=NTEVTLOG.USERID",
   'ADVICE("knt:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );